{"openapi":"3.0.3","info":{"title":"Behind the Email v1 API","description":"Welcome to the Behind the Email API documentation.\n\n## Overview\nThe Behind the Email API allows you to enrich email addresses with public profile data. \nIt is designed to be simple, fast, and easy to integrate into your applications.\n\n## Authentication\nThis API uses Bearer Token authentication. You need a valid API key to access the endpoints.\nAdd your API key to the `Authorization` header: `Bearer <your_token>`.\n\nExample Token:\n`BTE_pK98ML9cpPLwGqtQcNJFPBbLqPfDQPGn8DhhRfH7qKk9`","version":"1.0.0b1","contact":{"name":"Behind the Email Support","email":"support@behindtheemail.com","url":"https://behindtheemail.com"}},"components":{"securitySchemes":{"apiKey":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{}},"paths":{"":{"get":{"description":"Get the API version and timestamp.","responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"version":{"type":"string"},"timestamp":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["version","timestamp"],"additionalProperties":false}},"required":["data"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","description":"The message for the error."},"cause":{"description":"A message detailing why the error occurred.","type":"string"}},"required":["message"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/search":{"post":{"description":"Search for public profile information associated with an email address.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","maxLength":255,"format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"The email address to enrich."},"selectedProviders":{"description":"An optional list of specific providers to use. If not included, all providers will be used.","type":"array","items":{"type":"string","enum":["linkedin","teams","microsoft","google","tiktok","github","gitlab","vsco","data-breach","gravatar","duolingo","etsy","flickr","chess.com","adobe","registered-accounts","email-service","email-pattern","website"]}},"excludedProviders":{"description":"An optional list of specific providers to exclude. If not included, all providers will be used.","type":"array","items":{"type":"string","enum":["linkedin","teams","microsoft","google","tiktok","github","gitlab","vsco","data-breach","gravatar","duolingo","etsy","flickr","chess.com","adobe","registered-accounts","email-service","email-pattern","website"]}}},"required":["email"],"additionalProperties":false}}},"required":true},"security":[{"apiKey":[]}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"status":{"type":"string","enum":["found","not_found"],"description":"The outcome of the search operation."},"profile":{"nullable":true,"description":"The enriched profile data if found, null otherwise.","type":"object","properties":{"linkedIn":{"type":"object","properties":{"basic":{"type":"object","properties":{"displayName":{"type":"string"},"initials":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"headline":{"type":"string"},"location":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"summary":{"type":"string"}},"required":["displayName","initials","firstName","lastName","location"],"additionalProperties":false},"employment":{"type":"object","properties":{"positions":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"companyName":{"type":"string"},"companyLocation":{"type":"string"},"companyLinkedInUrl":{"type":"string","format":"uri"},"companyLogoUrl":{"type":"string","format":"uri"},"dateRange":{"type":"object","properties":{"start":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false},"end":{"oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["current"]}},"required":["kind"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["date"]},"value":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false}},"required":["kind","value"],"additionalProperties":false}]}},"required":["start"],"additionalProperties":false},"description":{"type":"string"}},"required":["companyName"],"additionalProperties":false}},"latestPosition":{"type":"object","properties":{"title":{"type":"string"},"companyName":{"type":"string"},"companyLocation":{"type":"string"},"companyLinkedInUrl":{"type":"string","format":"uri"},"companyLogoUrl":{"type":"string","format":"uri"},"dateRange":{"type":"object","properties":{"start":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false},"end":{"oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["current"]}},"required":["kind"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["date"]},"value":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false}},"required":["kind","value"],"additionalProperties":false}]}},"required":["start"],"additionalProperties":false},"description":{"type":"string"}},"required":["companyName"],"additionalProperties":false},"totalCount":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["positions"],"additionalProperties":false},"education":{"type":"object","properties":{"educations":{"type":"array","items":{"type":"object","properties":{"schoolName":{"type":"string"},"schoolLocation":{"type":"string"},"schoolLogoUrl":{"type":"string","format":"uri"},"degreeName":{"type":"string"},"fieldOfStudy":{"type":"string"},"dateRange":{"type":"object","properties":{"start":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false},"end":{"oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["current"]}},"required":["kind"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["date"]},"value":{"type":"object","properties":{"year":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"month":{"type":"integer","minimum":1,"maximum":12},"day":{"type":"integer","minimum":1,"maximum":31}},"required":["year"],"additionalProperties":false}},"required":["kind","value"],"additionalProperties":false}]}},"required":["start"],"additionalProperties":false}},"required":["schoolName"],"additionalProperties":false}}},"required":["educations"],"additionalProperties":false},"skills":{"type":"object","properties":{"skills":{"type":"array","items":{"type":"string"}},"totalCount":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["skills"],"additionalProperties":false},"socialGraph":{"type":"object","properties":{"connectionCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"connectionCountExceedsMax":{"type":"boolean"}},"required":["connectionCount","connectionCountExceedsMax"],"additionalProperties":false},"metadata":{"type":"object","properties":{"linkedInUrl":{"type":"string","format":"uri"}},"additionalProperties":false}},"additionalProperties":false},"teams":{"type":"object","properties":{"displayName":{"type":"string"},"initials":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"userType":{"type":"string"},"cid":{"type":"string"},"corporationName":{"type":"string"}},"additionalProperties":false},"microsoft":{"type":"object","properties":{"displayName":{"type":"string"},"initials":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"cid":{"type":"string"},"country":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"lastSeenDate":{"type":"string","format":"date-time"},"nameLastUpdated":{"type":"string","format":"date-time"},"profileLastUpdated":{"type":"string","format":"date-time"},"recoveryEmails":{"type":"array","items":{"type":"string"}},"recoveryPhones":{"type":"array","items":{"type":"string"}},"region":{"type":"string"},"liveAccount":{"type":"boolean"}},"additionalProperties":false},"vsco":{"type":"object","properties":{"username":{"type":"string"},"profileUrl":{"type":"string","format":"uri"},"avatarUrl":{"type":"string","format":"uri"},"displayName":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"bio":{"type":"string"},"website":{"type":"string","format":"uri"},"profileId":{"type":"string"},"userId":{"type":"string"},"joinedAt":{"type":"string","format":"date-time"},"lastUploadAt":{"type":"string","format":"date-time"},"isBrand":{"type":"boolean"},"status":{"type":"string"},"photos":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"photos":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"date":{"type":"string","format":"date-time"},"isHidden":{"type":"boolean"}},"required":["id","url","date"],"additionalProperties":false}}},"required":["count","photos"],"additionalProperties":false}},"additionalProperties":false},"google":{"type":"object","properties":{"person":{"type":"object","properties":{"personId":{"type":"string"},"personName":{"type":"string"},"mapsProfileUrl":{"type":"string","format":"uri"},"lastUpdated":{"type":"string","format":"date-time"},"userType":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"contentRestriction":{"type":"string"},"isEnterpriseUser":{"type":"boolean"}},"required":["personId","mapsProfileUrl","userType"],"additionalProperties":false},"apps":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"apps":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"formattedName":{"type":"string"}},"required":["name","formattedName"],"additionalProperties":false}}},"required":["count","apps"],"additionalProperties":false},"photos":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"photos":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}]},"location":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"},"address":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["name","address"],"additionalProperties":false},"isHidden":{"type":"boolean"},"rating":{"type":"number"},"comment":{"type":"string"},"timestamp":{"type":"number"},"ownerReply":{"type":"string"},"ownerReplyDate":{"type":"string"},"mapsUrl":{"type":"string","format":"uri"},"linkedReview":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"rating":{"type":"number"},"comment":{"type":"string"},"date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}]},"timestamp":{"type":"number"},"ownerReply":{"type":"string"},"ownerReplyDate":{"type":"string"},"location":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"},"address":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["name","address"],"additionalProperties":false}},"required":["id","url"],"additionalProperties":false}},"required":["id","url"],"additionalProperties":false}}},"required":["count","photos"],"additionalProperties":false},"reviews":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"reviews":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}]},"location":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"},"address":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["name","address"],"additionalProperties":false},"isHidden":{"type":"boolean"},"rating":{"type":"number"},"comment":{"type":"string"},"timestamp":{"type":"number"},"ownerReply":{"type":"string"},"ownerReplyDate":{"type":"string"},"mapsUrl":{"type":"string","format":"uri"},"linkedReview":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"rating":{"type":"number"},"comment":{"type":"string"},"date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}]},"timestamp":{"type":"number"},"ownerReply":{"type":"string"},"ownerReplyDate":{"type":"string"},"location":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string","format":"uri"},"address":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["name","address"],"additionalProperties":false}},"required":["id","url"],"additionalProperties":false}},"required":["id","url"],"additionalProperties":false}}},"required":["count","reviews"],"additionalProperties":false}},"additionalProperties":false},"tiktok":{"type":"object","properties":{"name":{"type":"string"},"username":{"type":"string"},"bio":{"type":"string"},"language":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"},"createdAt":{"type":"string","format":"date-time"},"profileLastUpdated":{"type":"string","format":"date-time"},"followers":{"type":"integer","minimum":0,"maximum":9007199254740991},"following":{"type":"integer","minimum":0,"maximum":9007199254740991},"videos":{"type":"integer","minimum":0,"maximum":9007199254740991},"likes":{"type":"integer","minimum":0,"maximum":9007199254740991},"friends":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["name","username","createdAt","followers","following","videos","likes","friends"],"additionalProperties":false},"github":{"type":"object","properties":{"id":{"type":"integer","minimum":0,"maximum":9007199254740991},"name":{"type":"string"},"username":{"type":"string"},"location":{"type":"string"},"bio":{"type":"string"},"company":{"type":"string"},"followers":{"type":"integer","minimum":0,"maximum":9007199254740991},"following":{"type":"integer","minimum":0,"maximum":9007199254740991},"photoUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"}},"required":["username"],"additionalProperties":false},"gitlab":{"type":"object","properties":{"id":{"type":"integer","minimum":0,"maximum":9007199254740991},"name":{"type":"string"},"username":{"type":"string"},"location":{"type":"string"},"bio":{"type":"string"},"company":{"type":"string"},"followers":{"type":"integer","minimum":0,"maximum":9007199254740991},"following":{"type":"integer","minimum":0,"maximum":9007199254740991},"photoUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"},"publicEmail":{"type":"string"}},"required":["username"],"additionalProperties":false},"dataBreach":{"type":"object","properties":{"firstAppeared":{"type":"string","format":"date-time"},"lastAppeared":{"type":"string","format":"date-time"},"results":{"type":"array","items":{"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"},"fullName":{"type":"string"},"ipAddress":{"type":"string"},"phoneNumber":{"type":"string"},"source":{"type":"object","properties":{"name":{"type":"string"},"date":{"type":"string","format":"date-time"}},"required":["name"],"additionalProperties":false},"isHidden":{"type":"boolean"}},"required":["source"],"additionalProperties":false}}},"required":["results"],"additionalProperties":false},"registeredAccounts":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"accounts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"formattedName":{"type":"string"},"isRegistered":{"type":"boolean"}},"required":["name","formattedName","isRegistered"],"additionalProperties":false}}},"required":["count","accounts"],"additionalProperties":false},"gravatar":{"type":"object","properties":{"username":{"type":"string"},"displayName":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"},"location":{"type":"string"}},"required":["username","photoUrl","profileUrl"],"additionalProperties":false},"duolingo":{"type":"object","properties":{"id":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"name":{"type":"string"},"username":{"type":"string"},"photoUrl":{"type":"string","format":"uri"},"courses":{"type":"array","items":{"type":"object","properties":{"language":{"type":"string"},"fromLanguage":{"type":"string"},"xp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["language","xp"],"additionalProperties":false}},"hasPlus":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"totalXp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"currentStreak":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"longestStreak":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"profileUrl":{"type":"string","format":"uri"},"googleLinked":{"type":"boolean"},"facebookLinked":{"type":"boolean"},"location":{"type":"string"},"learningLanguage":{"type":"string"},"fromLanguage":{"type":"string"},"roles":{"type":"array","items":{"type":"string"}},"hasRecentActivity":{"type":"boolean"},"totalLanguages":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"streakData":{"type":"object","properties":{"current":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"},"lastExtendedDate":{"type":"string"},"length":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"additionalProperties":false},"previous":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"},"lastExtendedDate":{"type":"string"},"length":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"additionalProperties":false}},"additionalProperties":false}},"additionalProperties":false},"etsy":{"type":"object","properties":{"userId":{"type":"integer","minimum":0,"maximum":9007199254740991},"realName":{"type":"string"},"username":{"type":"string"},"gender":{"type":"string"},"location":{"type":"string"},"bio":{"type":"string"},"isSeller":{"type":"boolean"},"hasPage":{"type":"boolean"},"followerCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"followingCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"numFavorites":{"type":"integer","minimum":0,"maximum":9007199254740991},"avatarUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"chess":{"type":"object","properties":{"userId":{"type":"integer","minimum":0,"maximum":9007199254740991},"username":{"type":"string"},"fullName":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"avatarUrl":{"type":"string","format":"uri"},"profileUrl":{"type":"string","format":"uri"},"country":{"type":"string"},"lastLoginDate":{"type":"string","format":"date-time"},"memberSince":{"type":"string","format":"date-time"}},"required":["username"],"additionalProperties":false},"flickr":{"type":"object","properties":{"nsid":{"type":"string"},"username":{"type":"string"},"realname":{"type":"string"},"gender":{"type":"string","enum":["male","female"]},"location":{"type":"string"},"description":{"type":"string"},"profileUrl":{"type":"string","format":"uri"},"photosUrl":{"type":"string","format":"uri"},"website":{"type":"string","format":"uri"},"avatarUrl":{"type":"string","format":"uri"},"coverPhotoUrl":{"type":"string","format":"uri"},"joinedAt":{"type":"string","format":"date-time"},"contacts":{"type":"integer","minimum":0,"maximum":9007199254740991},"reverseContacts":{"type":"integer","minimum":0,"maximum":9007199254740991},"favoritesCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"groupsCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"isPro":{"type":"boolean"},"photos":{"type":"object","properties":{"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"photos":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"dateTaken":{"type":"string","format":"date-time"},"dateUploaded":{"type":"string","format":"date-time"},"viewCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"faveCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"commentCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"media":{"type":"string"},"urlLarge":{"type":"string","format":"uri"},"urlOriginal":{"type":"string","format":"uri"},"urlThumb":{"type":"string","format":"uri"}},"required":["id"],"additionalProperties":false}}},"required":["count","photos"],"additionalProperties":false}},"required":["nsid"],"additionalProperties":false},"adobe":{"type":"object","properties":{"accountType":{"type":"string"},"status":{"type":"string"},"avatarUrl":{"type":"string","format":"uri"},"hasT2ELinked":{"type":"boolean"},"authenticationMethods":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"emailService":{"type":"object","properties":{"canReceiveEmail":{"type":"boolean"},"emailServiceProvider":{"type":"string","enum":["gmail","outlook","yahoo","proton","icloud","xfinity","cloudflare","mail.com","hostinger","proofpoint","orange","free","laposte","sfr","gmx","web.de","yandex","libero","qq"]},"mxHosts":{"type":"array","items":{"type":"string"}}},"required":["canReceiveEmail"],"additionalProperties":false},"emailPattern":{"type":"object","properties":{"pattern":{"type":"string"},"nameParts":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"firstInitial":{"type":"string"},"lastInitial":{"type":"string"}},"additionalProperties":false}},"required":["pattern"],"additionalProperties":false},"website":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"title":{"type":"string"},"description":{"type":"string"},"iconUrl":{"type":"string","format":"uri"}},"required":["url","title"],"additionalProperties":false},"summary":{"type":"object","properties":{"names":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"usernames":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"profilePictures":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"photos":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"links":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"locations":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"dates":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}},"phoneNumbers":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"source":{"type":"string"},"formattedSource":{"type":"string"},"url":{"type":"string","format":"uri"},"label":{"type":"string"}},"required":["value","source","formattedSource"],"additionalProperties":false}}},"additionalProperties":false}},"additionalProperties":false}},"required":["status","profile"],"additionalProperties":false}},"required":["data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","description":"The message for the error."},"cause":{"description":"A message detailing why the error occurred.","type":"string"}},"required":["message"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","description":"The message for the error."},"cause":{"description":"A message detailing why the error occurred.","type":"string"}},"required":["message"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","description":"The message for the error."},"cause":{"description":"A message detailing why the error occurred.","type":"string"}},"required":["message"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","description":"The message for the error."},"cause":{"description":"A message detailing why the error occurred.","type":"string"}},"required":["message"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}}},"servers":[{"url":"https://api.behindtheemail.com/v1"}]}